package org.jeecg.modules.ctop.service.impl;

import com.alibaba.fastjson.JSONObject;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.modules.ctop.entity.ByteDanceBudgetTemplate;
import org.jeecg.modules.ctop.entity.BytedanceAdvertisePlanTemplate;
import org.jeecg.modules.ctop.entity.CTopOauthToken;
import org.jeecg.modules.ctop.mapper.BytedanceAdvertisePlanTemplateMapper;
import org.jeecg.modules.ctop.service.IByteDanceAdvertisePlanService;
import org.jeecg.modules.ctop.service.IBytedanceAdvertisePlanTemplateService;
import org.jeecg.modules.ctop.service.ICTopOauthTokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 广告计划模板信息
 * @Author: jeecg-boot
 * @Date: 2019-07-28
 * @Version: V1.0
 */
@Service
public class BytedanceAdvertisePlanTemplateServiceImpl extends ServiceImpl<BytedanceAdvertisePlanTemplateMapper, BytedanceAdvertisePlanTemplate> implements IBytedanceAdvertisePlanTemplateService {

    @Override
    public Map<String, Object> insertTemplate(BytedanceAdvertisePlanTemplate template) {
        Map<String, Object> resultMap = new HashMap<>();
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        CTopOauthToken token = tokenService.getOAuthTokenByAccountId(user.getId());
        template.setStatus(1);
        templateMapper.insert(template);
        //同步线上广告计划信息
        String accountId = "e9ca23d68d884d4ebb19d07889727dae";
        Long campaignId = template.getCampaignTemplateId();
//        ByteDanceBudgetTemplate budgetTemplate = bu
        JSONObject data = new JSONObject();
        data.put("campaign_id", campaignId);
        data.put("delivery_range", "DEFAULT");
        data.put("budget_mode", "BUDGET_MODE_DAY");
        data.put("budget", 2000);//需要大于bid
        data.put("bid", 100);
        data.put("start_time", "2019-07-30 01:00");
        data.put("end_time", "2019-07-31 01:00");
        data.put("pricing", "PRICING_CPM");
        data.put("schedule_type", "SCHEDULE_FROM_NOW");
        data.put("flow_control_mode", "FLOW_CONTROL_MODE_FAST");
        data.put("name", "测试计划名称");
        data.put("external_url", "https://lordsmobile.176.com/download.php");
        data.put("download_url", "https://lordsmobile.176.com/download.php");
        data.put("download_type", "DOWNLOAD_URL");//坑
        data.put("package", "com.igg.android.lordsmobile_cn");//坑
        data.put("app_type", "APP_ANDROID");//坑
        return advertisePlanService.advertiserPlanCreate(accountId, campaignId, data.toJSONString());
    }

    @Autowired
    private IByteDanceAdvertisePlanService advertisePlanService;
    @Autowired
    private BytedanceAdvertisePlanTemplateMapper templateMapper;
    @Autowired
    private ICTopOauthTokenService tokenService;
}
