package org.jeecg.modules.ctop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.ctop.entity.CTopOauthToken;
import org.jeecg.modules.ctop.entity.UserAllocation;
import org.jeecg.modules.ctop.mapper.UserAllocationMapper;
import org.jeecg.modules.ctop.service.IUserAllocationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 用户分配
 * @Author: jeecg-boot
 * @Date: 2019-07-31
 * @Version: V1.0
 */
@Service
public class UserAllocationServiceImpl extends ServiceImpl<UserAllocationMapper, UserAllocation> implements IUserAllocationService {
    @Autowired
    private UserAllocationMapper userAllocationMapper;

    @Override
    public UserAllocation selectByTaskId(String state) {
        QueryWrapper<UserAllocation> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("task_id", state).orderByDesc("create_time");
        UserAllocation userAllocation = userAllocationMapper.selectOne(queryWrapper);
        return userAllocation;
    }
}
